Subject: bug#11746: feature request: `isearch-query-replace' should open invisible text

From: Michael Heerdegen <[email-masked]>
Date: Thu, 14 Feb 2013 21:17:26 +0100

Juri Linkov <[email-masked]> writes:

> > if you have `search-invisible' non-nil, isearch "opens" invisible
> > text.  But when you hit M-% or C-M-% while searching, you loose this
> > ability: point will just be put inside invisible areas, and you don't
> > see what you're doing.
>
> The recent adaptation of isearch functions to `perform-replace'
> makes it easy to implement this now.

This sounds great.

I have a question about your patch: I can't find the definition of
`isearch-filter-predicates' you use - I find `isearch-filter-predicate'
however.  Is this a typo, or did I miss something?

Thanks,

Michael